[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazDialogs' (#lcl)

# TLazSaveDialog

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Implements a Lazarus File Save dialog.

## Declaration

Source position: lazdialogs.pas line 62

`type TLazSaveDialog = class(TLazOpenDialog)`
`protected`
`procedure DoInitialize; override;` |  | Performs actions needed to initialize the Lazarus dialog.
`end;`

## Inheritance

`TLazSaveDialog` |  | Implements a Lazarus File Save dialog.
`TLazOpenDialog` |  | Implements a Lazarus file open dialog.
`TOpenDialog` |  | Implements a File / Open dialog used to select one or more files on the local file system.
`TFileDialog` |  | TFileDialog allows selection of a file from the current directory.
`TCommonDialog` |  | The base type from which other dialogs are derived.
`TLCLComponent` |  | The base class for LCL components which have an associated widget.
`TComponent`
?
`TObject`